nix3-config(1)

    Warning
    This program is experimental and its interface is subject to change.

Name

nix config - manipulate the Nix configuration

Synopsis

nix config [option…] subcommand

where subcommand is one of the following:

:

•   nix config show - show the Nix configuration or the value of a specific setting

:

•   nix config check - check your system for potential problems and print a PASS or FAIL for each check

Options

  Logging-related options

•   --debug

    Set the logging verbosity level to ‘debug’.

•   --log-format format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs / -L

    Print full build logs on standard error.

•   --quiet

    Decrease the logging verbosity level.

•   --verbose / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help

    Show usage information.

•   --offline

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh

    Consider all previously downloaded files out-of-date.

•   --version

    Show version information.

    Note

    See man nix.conf for overriding configuration settings with command line flags.